<%@ page import="java.util.*"%>

<jsp:useBean id="handlerValidation" class="gov.vha.edb.rules.web.builder.ValidationBean" scope="request"/>
<jsp:setProperty name="handlerValidation" property="*"/>

<% 
  if (handlerValidation.validate())	{  
	String repType = session.getServletContext().getInitParameter("repository.type");
	if (!"database".equals(repType)){    
      response.sendRedirect(request.getContextPath()+"/startup/openfilerep.jsp");  
    }
    else{
      response.sendRedirect(request.getContextPath()+"/startup/opendbrep.jsp");
    }
  }
  else {
%>
<jsp:forward page="/jsp/login.jsp">
</jsp:forward>
<%
  }
%>
